Name: pristine-tar
Version: 1.25
Release: 3%{?dist}.7
Summary: Regenerate pristine tarballs

Group: Development/Tools/Other
License: GPLv2
Url: http://kitenet.net/~joey/code/pristine-tar/
Source0: %{name}_%{version}.tar.gz
Patch0: pristine-tar-xdelta1.patch
BuildRequires: zlib-devel, perl, perl(ExtUtils::MakeMaker)
Requires: perl, git
%if 0%{?fedora} >= 15
Requires: xdelta1 < 2.0.0
%else
Requires: xdelta < 2.0.0
%endif
Requires: perl-Pristine-Tar = %{version}

BuildRequires: fdupes

%description
Using pristine-tar you can regenerate a pristine upstream tarball using only a
small binary delta file and a copy of the source which can be a revision
control checkout.

The package also includes a pristine-gz command, which can regenerate
a pristine .gz file.

The delta file is designed to be checked into revision control along-side
the source code, thus allowing the original tarball to be extracted from
revision control.

pristine-tar is available in git at git://git.kitenet.net/pristine-tar/

%package devel
Summary: Development libraries for pristine-tar
Requires: pristine-tar

%description devel
Development libraries for pristine-tar split out to separate package

%package -n perl-Pristine-Tar
Summary: Perl modules for pristine-tar

%description -n perl-Pristine-Tar
Perl modules for pristine-tar split out to separate package

%prep
# Adjusting %%setup since git-pkg unpacks to src/
%setup -q -n src
%if 0%{?fedora} >= 15
%patch0 -p1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
make %{?_smp_mflags} ZGZ_LIB=%{_libdir}/zgz


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT ZGZ_LIB=%{_libdir}/zgz
chmod -x $RPM_BUILD_ROOT%{_libdir}/zgz/suse-bzip2/libbz2.a
rm -rf $RPM_BUILD_ROOT%{_libdir}/perl5/vendor_perl/*/*/auto/Pristine
rm -rf $RPM_BUILD_ROOT%{perl_vendorarch}/auto
rm -rf $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL TODO delta-format.txt
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/zgz
%exclude %{_libdir}/zgz/suse-bzip2/*.a
%exclude %{_libdir}/zgz/suse-bzip2/*.so

%files devel
%defattr(-,root,root,-)
%{_libdir}/zgz/suse-bzip2/*.a
%{_libdir}/zgz/suse-bzip2/*.so

%files -n perl-Pristine-Tar
%defattr(-,root,root,-)
%dir %{perl_vendorlib}/Pristine
%dir %{perl_vendorlib}/Pristine/Tar
%{perl_vendorlib}/*
%changelog
* Thu Dec 12 2013 Oleg Girko <ol@infoserver.lv>
- Actually don't include perllocal.pod file
  - Don't include .packlist file in %%{perl_vendorarch}/auto directory
  - Use proper word capitalisation in Summary
  - Split development libraries into a separate devel subpackage
* Thu Oct 17 2013 Oleg Girko <ol@infoserver.lv>
- Use xdelta1 instead of xdelta (which is xdelta3) on Fedora >= 15
* Wed Oct 16 2013 Oleg Girko <ol@infoserver.lv>
- Use proper libdir for installing zgz libraries
  - Fix for duplicate zgz library in file list
  - Don't include perllocal.pod
* Thu Aug 30 2012 David Greaves <david@dgreaves.com> - 1.25-3
- Requires xdelta version 1, not 3
* Wed Aug  8 2012 David Greaves <david@dgreaves.com> - 1.25-1
- Initial packaging of 1.25
